Автор Тема: Проблема с установкой lamp  (Прочитано 2491 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн fdhyw4yu

  • Новичок форума
  • Сообщений: 2
Проблема с установкой lamp
« : 10 Мая 2017, 20:04:18 »
apt-get install apache2 libapache2-mod-fastcgi php7.0 php7.0-fpm-phpmyadmin mysql-client-5.67 mysql-server-5.7
проблема:
E: Package 'libapache2-mod-fastcgi' has no installation candidate
E: Unable to locate package php7.0
E: Couldn't find any package by regex 'php7.0'
E: Unable to locate package php7.0-fpm
E: Couldn't find any package by regex 'php7.0-fpm'
E: Unable to locate package mysql-client-5.7
E: Couldn't find any package by regex 'mysql-client-5.7'
E: Unable to locate package mysql-server-5.7
E: Couldn't find any package by regex 'mysql-server-5.7'
Либо как можно прикрутить новейшие версии по примеру ошибки выше. Желательно, не пхп 5 версий... Я новичек, не кидайтесь помидорами, спасибо.
 

Оффлайн ferum

Re: Проблема с установкой lamp
« Ответ #1 : 10 Мая 2017, 21:23:38 »
Поставить не проблема, проблемы скорее всего будут после установки. Такие действия могут привести к нарушению зависимостей со всеми вытекающими. Но если вам всё равно надо нагугливается элементарно как и любая вредная хрень https://rusadmin.biz/web-server/ustanovka-php-7-0-5-na-debian/
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: fdhyw4yu


Оффлайн fdhyw4yu

  • Новичок форума
  • Сообщений: 2
Re: Проблема с установкой lamp
« Ответ #2 : 10 Мая 2017, 22:10:28 »
Хотите сказать, что установка php5 будет более правильней чем php7, из-за не совместимостей php7.
Эти статьи являются актуальными и для дебиана?:
https://librebay.blogspot.com/2016/03/lamp-phpmyadmin-ubuntu-1604.html
https://www.howtoforge.com/tutorial/install-apache-with-php-and-mysql-on-ubuntu-16-04-lamp/
https://www.digitalocean.com/community/tutorials/linux-apache-mysql-php-lamp-ubuntu-16-04-ru
И есть какие-то гайды для нуба как развернуть веб сервер на дебиане?
 

Оффлайн ZEN

Re: Проблема с установкой lamp
« Ответ #3 : 10 Мая 2017, 22:30:55 »
fdhyw4yu, почему бы не воспользоваться docker для создания контейнера с необходимой версией lamp?

Cообщение объединено 10 Мая 2017, 22:34:00
На первый взгляд, вот этот репозиторий выглядит подходящим.
« Последнее редактирование: 10 Мая 2017, 22:34:00 от ZEN »
Crimea is Ukraine
 
Пользователи, которые поблагодарили этот пост: fdhyw4yu

Оффлайн ferum

Re: Проблема с установкой lamp
« Ответ #4 : 11 Мая 2017, 10:43:09 »
На первый взгляд, вот этот репозиторий выглядит подходящим.
Надо только сделать пометку на разницу между репозиторием исходного кода и готовых бинарных пакетов. Действительно технически возможно очень многое если правильно собирать из исходников но
установка бинарных пакетов из сторонних весьма сомнительных источников да ещё и на сервер совсем не есть good. Дело в том что создатели таких бинарных репозиториев решают одну очень узкую задачу не обращая внимания на остальную систему.
Естественно каждый пользователь решает свои задачи, но на мой взгляд цена вопроса локальной сборки одной двух программ из исходников гораздо ниже чем нарушения в работе apt.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ZEN

Re: Проблема с установкой lamp
« Ответ #5 : 11 Мая 2017, 12:12:04 »
Надо только сделать пометку на разницу между репозиторием исходного кода и готовых бинарных пакетов. Действительно технически возможно очень многое если правильно собирать из исходников но
установка бинарных пакетов из сторонних весьма сомнительных источников да ещё и на сервер совсем не есть good. Дело в том что создатели таких бинарных репозиториев решают одну очень узкую задачу не обращая внимания на остальную систему.
Естественно каждый пользователь решает свои задачи, но на мой взгляд цена вопроса локальной сборки одной двух программ из исходников гораздо ниже чем нарушения в работе apt.

Тут ничего не нужно собирать из исходников. Нужно установить docker и docker-compose. Используя git pull получить репозиторий с github -а и запустить команду docker-compose up. В результате создается изолированный контейнер с убунтой, php7, apache, mysql. Можно представить себе это как VirtualBox.
Crimea is Ukraine
 

Оффлайн ferum

Re: Проблема с установкой lamp
« Ответ #6 : 11 Мая 2017, 14:46:17 »
А что вариант вполне жизнеспособный, это лучше чем лепить горбатого в основной системе.
Русские дебианщики против цифрового слабоумия !
 


Теги:
     

    Проблема с обновлением системы

    Автор kraleksandr

    Ответов: 5
    Просмотров: 1978
    Последний ответ 29 Июля 2013, 22:44:32
    от ferum
    Проблема с загрузкой изображений при использовании limit_req. Как побороть?

    Автор Sferg

    Ответов: 0
    Просмотров: 1387
    Последний ответ 06 Декабря 2013, 23:02:07
    от Sferg
    Проблема с автозапуском скрипта для node.js с помощью forever

    Автор Sonic

    Ответов: 6
    Просмотров: 3574
    Последний ответ 09 Июня 2014, 10:52:42
    от Sonic
    Проблема со связкой xrdp+samba+kde+windows share

    Автор Lergus

    Ответов: 1
    Просмотров: 1827
    Последний ответ 08 Сентября 2015, 06:32:17
    от endru
    Проблема остановить автоматический запуск демона с помощью systemd

    Автор lenin

    Ответов: 0
    Просмотров: 1081
    Последний ответ 12 Января 2017, 21:02:48
    от lenin